@echo off
if %1nothing==nothing goto noparams
if %6!==switch! goto kjv1
echo ÿ
echo BIBLE MARATHON will be installed on hard disk %3.  
echo Program files will be installed to %3\%4.  
echo KJV Bible files will be installed to %3\%5. 
echo If you want to abort, press Ctrl-C now.
echo Otherwise, to continue installation,
pause
cls
if exist %3\%4\*.* goto already
md %3\%4
cls
if %1==a: goto floprompt
if %1==A: goto floprompt
if %1==b: goto floprompt
if %1==B: goto floprompt
goto again
:floprompt
echo ÿ
echo Please make sure install files are in %1%2 then
pause
:again
cls
echo                Please wait while copying files to drive %3
for %%A in (*.*) do copy %%A %3\%4 > nul
if exist %3\%4\bim_uzip.* del %3\%4\bim_uzip.*
if exist %3\%4\remove.bat copy %3\%4\remove.bat %3\*.* > nul
if exist %3\%4\yes copy %3\%4\yes %3\*.* > nul
if exist %3\%4\remove.bat del %3\%4\remove.bat
if exist %3\%4\yes del %3\%4\yes
if exist %3\%4\mastr.dat goto change
cls
echo 
echo Please remove BIBLE MARATHON Program Disk and insert next 
echo Program Disk in drive %1.  Then,
pause
goto again
:already
cls
echo BIBLE MARATHON is already installed.
goto end
:change
rem rerun install.bat from hard disk file
%3
cd \%4
install %1 %2 %3 %4 %5 switch
:kjv1
cd \
if exist \%4\???00?.exe goto loop 
cls
echo 
echo Please remove your BIBLE MARATHON Program Disk from drive %1.
echo Have your Bible Disks ready and in numerical order (beginning
echo with Disk 1). Insert Bible Disk 1 in drive %1 and
pause
:loop
cls
echo              File Compression/Decompression by LHA version 2.13
echo   Copyright (c) Haruyasu Yoshizaki, 1988-91 (LHA's SFX 2.13L  Yoshi, 1991)
echo   Please wait while Bible files are being expanded and copied to %3\%5.
echo                       This will take a few minutes. . .
if not exist %3\%4\???00?.exe goto nokjv 
for %%B in (%3\%4\???00?.exe) do %%B %3\*.* > nul
:nokjv
if exist %3\kjv\rev\*.* goto done
if not exist %3\kjv\rev\*.* goto again
:again
cls
echo 
echo Please remove disk and insert next disk in sequence; then 
pause
goto loop
:noparams
cls
echo 
echo     Please type MM + Enter at the DOS prompt to run MAINMENU
echo          program.  Then choose "Install Bible Marathon."ÿ
echo ÿ
goto end
:done
cd \%4
if exist ???00?.exe del ???00?.exe > nul
if not %5==kjv rendir \kjv %5 > nul
if exist rendir.com del rendir.com
if not exist %1\bm_temp\*.* goto skiptemp
%1
cd \bm_temp
del *.* < %3\yes > nul
cd \
rd bm_temp
%3
cd \%4
:skiptemp
cls
echo 
echo Bible Marathon and KJV files have been successfully installed in \%4 
echo and \%5 directories on drive %3.  If you have a monochrome monitor, type 
echo "MM" + Enter and select "Edit Colors Program" from the menu.  Choose 
echo "Color Scheme 3," or modify as desired. 
echo ÿ
echo To complete installation, at the DOS prompt type "MM" (Enter).  Then, 
echo from the Main Menu select "Load Data Base Program" and from the Data
echo Base Menu select "Make Data Files".  (Press "M").  This will make the
echo FACTS.DAT, BOOKS.DAT and VERSE.DAT files.  Bible Marathon installation 
will then be complete.
echo ÿ
echo ******************************  N O T Eÿ *********************************
echo The BM_TEMP directory on drive %1 has been removed with its files (includ-
echo ing batch files).  So, after this note there may be a "Batch file missing"
echo message, which you can safely ignore.  BIBLE MARATHON IS NOW READY TO RUN!
echo **************************************************************************
:end
